#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFeedBackPrizeCFGData
{
	//档位
	int mID;
	//奖品道具ID
	std::vector<int> mPrizeItem1;
	//奖品道具数量
	std::vector<int> mPrizeCount1;
	//奖励人数
	int mPrizeQuota1;
	//奖品道具ID
	std::vector<int> mPrizeItem2;
	//奖品道具数量
	std::vector<int> mPrizeCount2;
	//奖励人数
	int mPrizeQuota2;
	//奖品道具ID
	std::vector<int> mPrizeItem3;
	//奖品道具数量
	std::vector<int> mPrizeCount3;
	//奖励人数
	int mPrizeQuota3;
	//奖品道具ID
	std::vector<int> mPrizeItem4;
	//奖品道具数量
	std::vector<int> mPrizeCount4;
	//奖励人数
	int mPrizeQuota4;
	//奖品道具ID
	std::vector<int> mPrizeItem5;
	//奖品道具数量
	std::vector<int> mPrizeCount5;
	//奖励人数
	int mPrizeQuota5;
};

class M_ActivityFeedBackPrizeCFG
{
public:
private:
	static std::auto_ptr<M_ActivityFeedBackPrizeCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityFeedBackPrizeCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFeedBackPrizeCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFeedBackPrizeCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFeedBackPrizeCFGData> mMapData;
};
